Skip to main content
curl --request POST \ --url https://api.maildiver.com/v1/domains \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "hello.com" } '
{ "id": "0195ce56-005e-71ee-add6-30d090ced7ed", "name": "hello.com", "status": "NOT_STARTED", "dns_records": [ { "type": "TXT", "name": "dkim._domainkey", "value": "p=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQD7mOzhK4x4kXwCdTbF1E4hDqj20f2/HVuFnnYhASOOuHo9Go6AHE14E+sJRW5yOuEFUJLssYKImYCBDtJ2y5SJcR1DxDKyYYiaixCwTqmfB1osXxqESb4BgFC67trrDEzEgQn2K+Hm0Cmzrohfuj4z+ln9wO+wkkt/k02qE6QawQIDAQAB", "required": true, "for": "DKIM" }, { "type": "MX", "name": "send", "value": "feedback-smtp.eu-central-1.amazonses.com", "priority": 10, "required": true, "for": "MAIL FROM domain" }, { "type": "TXT", "name": "send", "value": "\"v=spf1 include:amazonses.com ~all\"", "required": true, "for": "MAIL FROM domain" }, { "type": "TXT", "name": "_dmarc", "value": "v=DMARC1; p=none;", "required": false, "for": "DMARC (highly recommended)" } ] }

Authorizations

Authorization
string
header
required

API key with format "Bearer {your-api-key}"

Body

application/json
name
string
required

Domain name. Must be:

  • At least 4 characters long
  • Maximum 253 characters
  • In a valid format (e.g., example.com, env.example.com)
Required string length: 4 - 253
Example:

"hello.com"

Response

Domain successfully created